## com.fasterxml.jackson.databind.deser.impl
Class PropertyValue

    java.lang.Object
      com.fasterxml.jackson.databind.deser.impl.PropertyValue

    public abstract class PropertyValue

extends Object

Base class for property values that need to be buffered during deserialization.

Field Summary
`PropertyValue` `next`
`Object` `value` Value to assign when POJO has been instantiated.

Constructor Summary
`protected` `PropertyValue(PropertyValue next, Object value)`

Method Summary
`abstract void` `assign(Object bean)` Method called to assign stored value of this property to specified bean instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    public final PropertyValue next

### value

    public final Object value

  Value to assign when POJO has been instantiated.

Constructor Detail

### PropertyValue

    protected PropertyValue(PropertyValue next,
                            Object value)

Method Detail

### assign

    public abstract void assign(Object bean)
                         throws IOException,
                                JsonProcessingException

  Method called to assign stored value of this property to specified bean instance

  Throws:
    `IOException`
    `JsonProcessingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.